API DocumentationTask
Get task detail by ID
Fetch a generation task by ID to check its status (waiting, running, completed, cancelled or failed) and read the IDs and URLs of the media it produced.
Authorization
bearerAuth AuthorizationBearer <token>
In all requests that require authentication, please add the following to the HTTP header:
In: header
Path Parameters
taskId*string
ID of task to return
Response Body
application/json
curl -X GET "https://api.pixai.art/v1/task/string"{
"id": "string",
"status": "waiting",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"startedAt": "2019-08-24T14:15:22Z",
"endAt": "2019-08-24T14:15:22Z",
"outputs": {
"mediaIds": [
"string"
],
"mediaUrls": [
"string"
]
},
"mediaSafetyLevel": "nsfw",
"textSafetyLevel": "nsfw"
}Empty